C+
C NAME:
C	Time2ChangeUnits
C PURPOSE:
C	Change internal fract-day units
C CATEGORY:
C	gen/for/lib
C CALLING SEQUENCE:
	subroutine Time2ChangeUnits(units_in_day)
C INPUTS:
C	units_in_day		integer		# current units in day
C INCLUDE:
	include		'fortime.h'
C CALLS:
C	Time2ConvertUnits
C PROCEDURE:
C MODIFICATION HISTORY:
C	JAN-2004, Paul Hick (UCSD/CASS; pphick@ucsd.edu)
C-
	    integer	units_in_day

	if (units_in_day .ne. 0) then
	    call Time2ConvertUnits(TIME__ORIGIN(3),units_in_day,TIME__ORIGIN,TIME__ORIGIN)
	    TIME__ORIGIN(3) = units_in_day
	end if

	return
	end
